Subject: [os2genau_digest] No. 1875
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 23 Oct 2009 00:00:18 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 22 October 2009
 Number  1875
**************************************************

Subjects for today
 
1  Re:  Networking with Vbox/2 : Peter Rehfisch" <gillpete at vic.australis dot com dot au>
2  Re:  Networking with Vbox/2 : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Wed, 21 Oct 2009 21:31:47 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:  Re:  Networking with Vbox/2

Ed Durrant wrote:
>
>Using the TAP$ driver and "host interface" appears to work - the virtual 
>(XP) session gets a DHCP address from the router so it's on the same 
>network and I can now see the "real" XP system from the virtual one. I 
>can't access a share on it as I have a security lock down on the system, 
>but that probably isn't the case on your systems.

I have added TAP$ driver in MPTS with IBM OS/2 Netbios protocol attached and rebooted. 
I have run -   vboxmanage modifyvm "XP" -hostifdev1 lan0

Now when I try to start the XP guest with the network card set to Host Interface, I get a message-

Failed to initialize Host Interface Networking.
VBox status code: -3100 (VERR_HOSTIF_INIT_FAILED).

Does the TAP protocol need to be attached to lan0?

What is it lacking?

Peter R.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 22 Oct 2009 07:06:45 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Networking with Vbox/2

Peter Rehfisch wrote:
> Ed Durrant wrote:
>   
>> Using the TAP$ driver and "host interface" appears to work - the virtual 
>> (XP) session gets a DHCP address from the router so it's on the same 
>> network and I can now see the "real" XP system from the virtual one. I 
>> can't access a share on it as I have a security lock down on the system, 
>> but that probably isn't the case on your systems.
>>     
>
> I have added TAP$ driver in MPTS with IBM OS/2 Netbios protocol attached and rebooted. 
> I have run -   vboxmanage modifyvm "XP" -hostifdev1 lan0
>
> Now when I try to start the XP guest with the network card set to Host Interface, I get a message-
>
> Failed to initialize Host Interface Networking.
> VBox status code: -3100 (VERR_HOSTIF_INIT_FAILED).
>
> Does the TAP protocol need to be attached to lan0?
>
> What is it lacking?
>
> Peter R.
>
>
>
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
>   
Don't attach Netbios, to the TAP driver, rather TCPIP and Netbios over IP.

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes
Warpstock Europe at Stralsund, Germany 12-15 November 2009 http://www.warpstock.eu

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===